diff -pruN 2.3.3op1-5/debian/changelog 2.3.3op1-7/debian/changelog
--- 2.3.3op1-5/debian/changelog	2021-01-08 10:35:18.000000000 +0000
+++ 2.3.3op1-7/debian/changelog	2021-01-15 11:11:30.000000000 +0000
@@ -1,3 +1,18 @@
+cups (2.3.3op1-7) unstable; urgency=medium
+
+  [ Helmut Grohne ]
+  * Reduce Build-Depends, move dh_apparmor to B-D-A (Closes: #980104)
+
+ -- Didier Raboud <odyx@debian.org>  Fri, 15 Jan 2021 12:11:30 +0100
+
+cups (2.3.3op1-6) unstable; urgency=medium
+
+  [ Till Kamppeter ]
+  * In the AppArmor profile, allow cupsd to write to /run/systemd/notify to
+    notify that it is up and running (systemd service type "notify")
+
+ -- Didier Raboud <odyx@debian.org>  Mon, 11 Jan 2021 08:31:58 +0100
+
 cups (2.3.3op1-5) unstable; urgency=medium
 
   * Update Homepage and Source fields to point
diff -pruN 2.3.3op1-5/debian/control 2.3.3op1-7/debian/control
--- 2.3.3op1-5/debian/control	2021-01-08 10:35:18.000000000 +0000
+++ 2.3.3op1-7/debian/control	2021-01-15 11:11:30.000000000 +0000
@@ -5,36 +5,25 @@ Uploaders: Didier Raboud <odyx@debian.or
 Section: net
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               dh-apparmor,
                dh-strip-nondeterminism,
                patch,
                autoconf,
                automake,
                libtool,
                pkg-config,
-               ghostscript,
                libavahi-client-dev,
                libavahi-common-dev,
-               libavahi-compat-libdnssd-dev,
                libdbus-1-dev,
-               libfontconfig1-dev,
-               libfreetype6-dev,
                libgnutls28-dev,
-               libijs-dev,
-               libjpeg-dev,
-               libldap2-dev,
                libkrb5-dev,
                libpam0g-dev,
                libpaper-dev,
-               libpng-dev,
                libsystemd-dev [linux-any],
-               libtiff-dev,
                libusb-1.0-0-dev [!hurd-any],
                po4a,
                po-debconf,
-               poppler-utils,
-               sharutils,
                zlib1g-dev
+Build-Depends-Arch: dh-apparmor,
 # libgmp-dev is not GPL-2 compatible before it's 6 release, which makes it also GPL-2+
 Build-Conflicts: libgmp-dev (<< 2:6)
 Standards-Version: 4.5.1
diff -pruN 2.3.3op1-5/debian/local/apparmor-profile 2.3.3op1-7/debian/local/apparmor-profile
--- 2.3.3op1-5/debian/local/apparmor-profile	2021-01-08 10:35:18.000000000 +0000
+++ 2.3.3op1-7/debian/local/apparmor-profile	2021-01-15 11:11:30.000000000 +0000
@@ -47,6 +47,11 @@
   network econet dgram,
   network ash dgram,
 
+  # CUPS is of systemd service type "notify" now, meaning that cupsd notifies
+  # systemd when it is up and running, give CUPS access to systemd's
+  # notification socket
+  /run/systemd/notify w,
+
   /{usr/,}bin/bash ixr,
   /{usr/,}bin/dash ixr,
   /{usr/,}bin/hostname ixr,
